.CollectionSelector {
    @include after-mobile {
        padding: 24px 16px;
        border: 1px solid $grey-1-color;
    }

    @include mobile {
        margin-right: -1rem;
        margin-left: -1rem;

        &::before,
        &::after {
            display: block;
            width: 1rem;
            height: 100%;
            position: absolute;
            top: 0;
            z-index: 2;
            content: '';
        }

        &::before {
            left: 0;
            background: linear-gradient(270deg, rgba(255, 255, 255, 0) 0%, #fff 100%);
        }

        &::after {
            right: 0;
            background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, #fff 100%);
        }
    }

    &-Item {
        > a {
            display: block;
            padding: 12px 8px;
            background: #f5f5f5;
            font-size: 14px;
            font-weight: 500;
            text-decoration: none;
            transition: background-color 0.15s ease-in-out;

            @include after-mobile {
                &:hover {
                    color: $white;
                    background: $black;
                }
            }
        }

        &:not(:last-child) {
            padding-right: 8px;
        }

        @include mobile {
            &:first-child {
                padding-left: 1rem;
            }

            &:last-child {
                padding-right: 1rem;
            }
        }

        &_active {
            > a {
                color: $white;
                background: $black;
            }
        }
    }

    &-ArrowWrapper {
        position: unset;
        z-index: 1;

        @include mobile {
            display: none;
        }

        &_hidden {
            display: none;
        }
    }

    &-Arrow {
        display: block;
        width: 36px;
        height: 100%;
        position: absolute;
        top: 0;
        background: rgba(255, 255, 255, 0.8);
        cursor: pointer;

        &::after {
            $arrow-border: 1px solid #292929;

            display: inline-block;
            width: 7px;
            height: 7px;
            border-top: $arrow-border;
            border-right: $arrow-border;
            position: absolute;
            top: 41px;
            left: 10px;
            content: '';
        }

        &_left {
            left: 0;

            &::after {
                transform: rotate(225deg);
            }
        }

        &_right {
            right: 0;

            &::after {
                transform: rotate(45deg);
            }
        }
    }
}
